##modele IDE=group
##showplots
##Layer=vector
##t=Field Layer
##val=Field Layer
##basis=selection  bisquare;Gaussian;exp;Matern32
##nresolution= number 1
##scale_aperture=number 1
library(IDE)
library(dplyr)
library("sp")
library("spacetime")
library("sf")
library("FRK")
library("ggplot2")
df<-as.data.frame(Layer)
coords<-st_coordinates(Layer)
crs<-st_crs(Layer)$proj4string
dfc<-cbind(df,coords)
data<-dplyr::select(dfc,t,all_of(val),X,Y)
names(data)<-c("t","cnt","X","Y")
data$cnt<-as.double(data$cnt)
is.date <- function(x) inherits(x, 'Date')
is.convertible.to.date <- function(x) !is.na(as.Date(as.character(x),origin="0000-01-01"))
if (!sapply(data$t[1], is.date)&& !is.character(data$t[1])) {
  if (near(data$t[1], as.integer(data$t[1]))){
    data$t<-as.Date(data$t,origin="0000-01-01")
    trans=1
  }
}
if (!sapply(data$t[1], is.date)&& is.character(data$t[1])) {   
  if (sapply(data$t[1], is.convertible.to.date)){
    data$t<-as.Date(data$t)
    trans=2
  }
}
spat_part <- SpatialPoints(coords = data[, c("X", "Y")])
temp_part <- data$t
mSTIDF <- STIDF(sp = spat_part,
                time = temp_part,
                data = dplyr::select(data, -t, -X, -Y))

if (basis==0) {base="bisquare"}
if (basis==1) {base="Gaussian"}
if (basis==2) {base="exp"}
if (basis==3) {base="Matern32"}
mbasis_1<-auto_basis(manifold=plane(),
            data= mSTIDF,
            nres=nresolution,
            scale_aperture=scale_aperture,
            type=base)
>"kernel basis"
show_basis(mbasis_1,ggplot()) + geom_point(data=data,aes(X,Y))